package com.ruoyi.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 我收藏的企业对象 tb_user_company_store
 * 
 * @author xiatao
 * @date 2022-01-18
 */
public class TbUserCompanyStore extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long userCompanyId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 企业id */
    @Excel(name = "企业id")
    private Long companyId;

    public void setUserCompanyId(Long userCompanyId) 
    {
        this.userCompanyId = userCompanyId;
    }

    public Long getUserCompanyId() 
    {
        return userCompanyId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userCompanyId", getUserCompanyId())
            .append("userId", getUserId())
            .append("companyId", getCompanyId())
            .append("createTime", getCreateTime())
            .toString();
    }
}
